/*!
 * Built with Stencil
 * Copyright (c) Bromcom.
 */
import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import './color-helper.js';
import './validators.js';
import { G as Generate } from './generate.js';
import './number-helper.js';
import './string-helper.js';
import './element-dragger.js';
import { B as Bcm } from './bcm.js';
import { c as classnames } from './index2.js';

const BcmTabItemHeader$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this._id = Generate.UID();
    this.active = false;
    this.disabled = false;
    this.index = undefined;
    this.color = "blue";
    this.size = Bcm.Size.medium;
  }
  handleClick() {
    var _a;
    if (!this.disabled) {
      (_a = Generate.findParentElement(this.el, "bcm-tab-group")) === null || _a === void 0 ? void 0 : _a.setActive(this.index);
    }
  }
  render() {
    const { color, size, active, disabled } = this;
    const disabledClass = "tw-cursor-not-allowed tw-text-gray-500 tw-opacity-50";
    const dc = Generate.getTwColor({
      color: color,
      tones: [700, 800, 900]
    });
    return (h(Host, { onClick: () => this.handleClick(), class: classnames(`tw-flex tw-flex-1 tw-items-center tw-justify-center tw-border-b-[2px] tw-border-b-slate-700  tw-transition-font tw-focus:outline-none`, {
        "tw-text-2 tw-py-1 tw-gap-2": size === Bcm.Size.small,
        "tw-text-3 tw-py-2 tw-gap-3": size === Bcm.Size.medium,
        "tw-text-4 tw-py-3 tw-gap-4": size === Bcm.Size.large,
      }, disabled ? disabledClass : "tw-cursor-pointer", active
        ? `tw-text-default-700 enabled:hover:tw-text-default-800 enabled:active:tw-text-default-900 enabled:focus-visible:tw-text-default-900`
        : "tw-text-slate-700 enabled:hover:tw-text-slate-800 enabled:focus-visible:tw-text-slate-900 enabled:active:tw-text-slate-900"), style: dc }));
  }
  get el() { return this; }
}, [0, "bcm-tab-item-header", {
    "_id": [1537, "id"],
    "active": [1540],
    "disabled": [4],
    "index": [8],
    "color": [1],
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bcm-tab-item-header"];
  components.forEach(tagName => { switch (tagName) {
    case "bcm-tab-item-header":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, BcmTabItemHeader$1);
      }
      break;
  } });
}

const BcmTabItemHeader = BcmTabItemHeader$1;
const defineCustomElement = defineCustomElement$1;

export { BcmTabItemHeader, defineCustomElement };
