/*!
 * Built with Stencil
 * Copyright (c) Bromcom.
 */
import { r as registerInstance, h, H as Host } from './index-0615c2b8.js';
import { a as Bcm } from './bcm-a50d55ba.js';
import './string-helper-69203215.js';
import { C as CaptionTemplate } from './caption-template-3cd42c3b.js';
import './index-00c8a8f7.js';
import './types-6f06fa1a.js';
import './color-helper-ba15b0d8.js';
import './datetime-helper-df25808a.js';
import './generate-b30859e0.js';
import './number-helper-70d15d1b.js';
import './validators-0ccb9921.js';
import './element-dragger-b75266e6.js';
import './types-9493a7ed.js';
import './_commonjsHelpers-7002e5de.js';
import './colors-1d7854ea.js';
import './utils-7727d09e.js';
import './colors-ed4e7579.js';
import './package-8f0a3af5.js';

const BcmCaption = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.noCaption = false;
    this.captionType = Bcm.Status.default;
    this.captionClasses = undefined;
    this.caption = undefined;
    this.captionError = undefined;
    this.customErrorMessage = undefined;
    this.size = Bcm.Size.medium;
    this.maxLength = undefined;
    this.value = undefined;
  }
  render() {
    const { noCaption, captionType, captionClasses, caption, captionError, customErrorMessage, size, maxLength, value } = this;
    return (h(Host, { class: "tw-block" }, h(CaptionTemplate, { noCaption: noCaption, captionType: captionType, captionClasses: captionClasses, caption: caption, captionError: captionError, customErrorMessage: customErrorMessage, size: size, maxLength: maxLength, value: value })));
  }
};

export { BcmCaption as bcm_caption };
