/*!
 * Built with Stencil
 * Copyright (c) Bromcom.
 */
import { r as registerInstance, h, H as Host } from './index-0615c2b8.js';
import './color-helper-ba15b0d8.js';
import './datetime-helper-df25808a.js';
import { G as Generate } from './generate-b30859e0.js';
import './number-helper-70d15d1b.js';
import './string-helper-69203215.js';
import './validators-0ccb9921.js';
import './element-dragger-b75266e6.js';
import './bcm-a50d55ba.js';
import { c as ce } from './index-3bc8c6e3.js';
import './colors-1d7854ea.js';
import './utils-7727d09e.js';
import './colors-ed4e7579.js';
import './_commonjsHelpers-7002e5de.js';
import './package-8f0a3af5.js';

const skeletonStyle = ce({
  slots: {
    host: "tw-flex tw-flex-row tw-items-center tw-justify-center tw-flex-shrink-0 tw-relative tw-overflow-hidden tw-bg-gray-200",
  },
  variants: {
    variant: {
      rect: {
        host: "tw-rounded",
      },
      circle: {
        host: "tw-rounded-full",
      },
    },
    effect: {
      pulse: {
        host: "tw-animate-pulse",
      },
      ping: {
        host: "tw-animate-ping",
      },
      none: {
        host: "tw-animate-none",
      },
    },
    hidden: {
      true: {
        host: "tw-hidden",
      },
      false: {
        host: "tw-flex",
      },
    }
  },
  defaultVariants: {
    variant: "rect",
    effect: "pulse",
    hidden: false,
  },
});

const BcmSkeleton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this._id = Generate.UID();
    this.effect = "pulse";
    this.variant = "rect";
    this.hidden = false;
    this.width = "100%";
    this.height = "16px";
    this.marginBottom = null;
    this.customStyles = {};
  }
  render() {
    const { variant, effect, width, height, marginBottom, customStyles, hidden } = this;
    const style = Object.assign(Object.assign(Object.assign(Object.assign({}, (width ? { width } : {})), (height ? { height } : {})), (marginBottom ? { marginBottom } : {})), (typeof customStyles === "string" ? JSON.parse(customStyles) : customStyles));
    const { host } = skeletonStyle({ variant, effect, hidden });
    return (h(Host, { class: host(), style: style }));
  }
};

export { BcmSkeleton as bcm_skeleton };
